Login   Register  
PHP Classes
elePHPant
Icontem

PHP Vulnerability Scanner: Scan script files for malicious code

Recommend this page to a friend!
Stumble It! Stumble It! Bookmark in del.icio.us Bookmark in del.icio.us

  Author Author  
Picture of Er. Rochak Chauhan
Name: Er. Rochak Chauhan is available for providing paid consulting. Contact Er. Rochak Chauhan .
Classes: 52 packages by
Country: India India
Age: 35
All time rank: 21 in India India
Week rank: 8 Down1 in India India Equal
Innovation award
Innovation award
Nominee: 13x

Winner: 3x


  Detailed description   Download Download .zip .tar.gz   Install with Composer Install with Composer  
This class can be used to scan script files to find eventually malicious code.

It can traverse a given directory recursively and checks script files to see if they may contain code that may be eventually malicious.

Currently it finds script files that are using functions often used in infected scripts, such as base64_encode and base64_decode.

  Classes of Er. Rochak Chauhan  >  PHP Vulnerability Scanner  >  Download Download .zip .tar.gz  >  Support forum Support forum (3)  >  Blog Blog  >  RSS 1.0 feed RSS 2.0 feed Latest changes  
Name: PHP Vulnerability Scanner
Base name: phpvulnerabilityscan
Description: Scan script files for malicious code
Version: 1
PHP version: 5
License: Free For Educational Use
All time users: 1101 users
All time rank: 3135
Week users: 1 user
Week rank: 1380 Up
 
  Groups   Rate classes User ratings   Trackback   Applications   Files Files  

  Groups  
Group folder image PHP 5 Classes using PHP 5 specific features View top rated classes
Group folder image Files and Folders Listing, accessing and manipulating files and folders View top rated classes
Group folder image Security Security protection and attack detection View top rated classes


  User ratings  
Not enough user ratings

  Pages that reference this package  
A anti-virus for your PHP pages? (Spanish)
PHP Vulnerability Scanner is a PHP class that will help us analyze the contents of our projects in search of malicious codes that could be inserted by third parties...
PHP Malicious Code Scanner
OS Commerce, WordPress, Joomla, Drupal, and custom built sites have all been hacked by the “wonderful” <?php @eval(base64_decode($_GET[q])); ?> hack...

Latest pages that reference packages Latest pages that reference packages


  Applications that use this package  
No pages of applications that use this class were specified.
Add link image If you know an application of this package, send a message to the author to add a link here.
  Files folder image Files  
File Role Description
Accessible without login Plain text file example.php Example Example Script
Plain text file phpVulnerabilityScanner.inc.php Class Class File

Install with Composer Install with Composer - Download Download all files: phpvulnerabilityscan.tar.gz phpvulnerabilityscan.zip
NOTICE: if you are using a download manager program like 'GetRight', please Login before trying to download this archive.